Subject: Re: [bug#48924] Add systemd

From: Tony O <[email-masked]>
Date: Sun, 13 Jun 2021 19:56:59 +0000

\-------- Original Message --------
On 13 Jun 2021, 20:00, Leo Prikler < [email-masked]> wrote:
Am Sonntag, den 13.06.2021, 18:54 +0000 schrieb Tony O:
> Hi leo. As mentioned previously, I do find this useful, I'm using it
> currently in LD\_PRELOAD for a nonfree package that requires systemd
> and does not function with elogind patched in instead. Other usecases
> exist but they're just speculation so far, though the package is
> otherwise fully functional.
Please describe "fully functional" in more detail. "I use it to fix
this completely borked proprietary software" is not enough grounds to
assume full feature coverage. Instead, I'd argue that the disabling of
tests without explanation kinda proves the opposite.

Okay, I was going by the similarity to the nix package, but if you require concrete proof then I just built it without the sandbox and with my kernel supporting cgroups. Exactly 15 test fail, out of nearly 400. Each of them by best approximation due to binaries not in scope and/or systemd not being PID1 (as is repeatedly echoed on the error log).

If those 15 tests pose a concrete issue to you, I would consider fixing them, but only with the guarantee that the result end up in guix. As it stands disposition seems to be to not merge this, so I'll reserve the effort.